Bug 119945 - Writes wrong alias to modprobe.conf
Writes wrong alias to modprobe.conf
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-03 16:54 EST by Mattias Grönlund
Modified: 2014-03-16 22:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 17:00:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Grönlund 2004-04-03 16:54:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
Installed FC2 Test 2 with a internal tulip network chip enabled, but
as it doesn't work (a strange problem for some Compaq Presario 56xx
computers) I decided I should insert a natsemi based network card.
I halted the computer and inserted the new network card, and disabled
the internal chip. 

Under the boot sequence I was asked to remove support for the tulip
card which I did, but when using system-config-network to enable the
natsemi based network card. 
I selected the Device tab and pressed New, I got information about
adding a device for my DP83815 based network card.
I then tried to Activate the new device, but it complained about
problems initialize a tulip device.
I tryed to remove the eth0 line from modprobe.conf, but it did not help. 
But when I changed the line in modpropbe.conf from:
alias eth0 tulip
to:
alias eth0 natsemi
I was able to Activate the device.

Version-Release number of selected component (if applicable):
system-config-network-1.3.16-1

How reproducible:
Didn't try


Additional info:
Comment 1 Harald Hoyer 2004-04-21 09:53:02 EDT
what does:
# /usr/sbin/kudzu -p -c NETWORK
print??
Comment 2 Mattias Grönlund 2004-04-21 16:23:38 EDT
# /usr/sbin/kudzu -p -c NETWORK
-
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: natsemi
desc: "National Semi|DP83815 (MacPhyter) Ethernet Controller"
network.hwaddr: 00:02:E3:0A:35:52
vendorId: 100b
deviceId: 0020
subVendorId: 1385
subDeviceId: f311
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  4
pcifn:  0
#
Comment 3 Harald Hoyer 2004-04-22 04:28:40 EDT
hmm, if you removed the card using kudzu, then kudzu should have
removed the alias from modules.conf...
Comment 4 Bill Nottingham 2005-09-23 17:00:52 EDT
Closing bugs on older, no longer supported releases. Apologies for any lack of
response.

Please attempt to reproduce this bug on a currently supported release, such as
Fedora Core 4. If it persists, please open a new bug in bugzilla.

Note You need to log in before you can comment on or make changes to this bug.